## Main Main — Program startup. |

## Functions

GOptionContext * | meta_get_option_context ()
void | meta_init ()
int | meta_run ()
gboolean | meta_get_replace_current_wm ()
void | meta_exit ()
void | meta_quit ()

## Types and Values

enum | MetaExitCode

## Description

Functions which parse the command-line arguments, create the display, kick everything off and then close down Muffin when it's time to go.

Muffin - a boring window manager for the adult in you

Many window managers are like Marshmallow Froot Loops; Muffin is like Cheerios.

The best way to get a handle on how the whole system fits together is discussed in doc/code-overview.txt; if you're looking for functions to investigate, read `main()`, `meta_display_open()`, and `event_callback()`.

## Functions

### meta_get_option_context ()

    GOptionContext *
    meta_get_option_context (void);

Returns a GOptionContext initialized with muffin-related options. Parse the command-line args with this before calling `meta_init()`.

[skip]

#### Returns

the GOptionContext

### meta_init ()

    void
    meta_init (void);

Initialize muffin. Call this after `meta_get_option_context()` and `meta_plugin_manager_set_plugin_type()`, and before `meta_run()`.

[skip]

### meta_run ()

    int
    meta_run (void);

Runs muffin. Call this after completing your own initialization.

[skip]

#### Returns

muffin's exit status

### meta_get_replace_current_wm ()

    gboolean
    meta_get_replace_current_wm (void);

### meta_exit ()

    void
    meta_exit (MetaExitCode code);

### meta_quit ()

    void
    meta_quit (MetaExitCode code);

## Types and Values

### enum MetaExitCode

#### Members

META_EXIT_SUCCESS |  |
META_EXIT_ERROR |  |